Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class DRTask

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.DRTask

    public class DRTask

extends XenAPIObject

DR task

Nested Class Summary
`static class` | `DRTask.Record` Represents all the fields in a DRTask

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`static DRTask` | `create(Connection c, String type, Map<String,String> deviceConfig, Set<String> whitelist)` Create a disaster recovery task which will query the supplied list of devices
`static Task` | `createAsync(Connection c, String type, Map<String,String> deviceConfig, Set<String> whitelist)` Create a disaster recovery task which will query the supplied list of devices
`void` | `destroy(Connection c)` Destroy the disaster recovery task, detaching and forgetting any SRs introduced which are no longer required
`Task` | `destroyAsync(Connection c)` Destroy the disaster recovery task, detaching and forgetting any SRs introduced which are no longer required
`boolean` | `equals(Object obj)` If obj is a DRTask, compares XenAPI references for equality.
`static Set<DRTask>` | `getAll(Connection c)` Return a list of all the DR_tasks known to the system.
`static Map<DRTask,DRTask.Record>` | `getAllRecords(Connection c)` Return a map of DR_task references to DR_task records for all DR_tasks known to the system.
`static DRTask` | `getByUuid(Connection c, String uuid)` Get a reference to the DR_task instance with the specified UUID.
`Set<SR>` | `getIntroducedSRs(Connection c)` Get the introduced_SRs field of the given DR_task.
`DRTask.Record` | `getRecord(Connection c)` Get a record containing the current state of the given DR_task.
`String` | `getUuid(Connection c)` Get the uuid field of the given DR_task.
`int` | `hashCode()`
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a DRTask, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public DRTask.Record getRecord(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given DR_task.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static DRTask getByUuid(Connection c,
                                   String uuid)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Get a reference to the DR_task instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given DR_task.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getIntroducedSRs

    public Set<SR> getIntroducedSRs(Connection c)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Get the introduced_SRs field of the given DR_task.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createAsync

    public static Task createAsync(Connection c,
                                   String type,
                                   Map<String,String> deviceConfig,
                                   Set<String> whitelist)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Create a disaster recovery task which will query the supplied list of devices

  Parameters:
    `type` - The SR driver type of the SRs to introduce
    `deviceConfig` - The device configuration of the SRs to introduce
    `whitelist` - The devices to use for disaster recovery
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### create

    public static DRTask create(Connection c,
                                String type,
                                Map<String,String> deviceConfig,
                                Set<String> whitelist)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Create a disaster recovery task which will query the supplied list of devices

  Parameters:
    `type` - The SR driver type of the SRs to introduce
    `deviceConfig` - The device configuration of the SRs to introduce
    `whitelist` - The devices to use for disaster recovery
  Returns:
    The reference to the created task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroyAsync

    public Task destroyAsync(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Destroy the disaster recovery task, detaching and forgetting any SRs introduced which are no longer required

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroy

    public void destroy(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Destroy the disaster recovery task, detaching and forgetting any SRs introduced which are no longer required

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<DRTask> getAll(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Return a list of all the DR_tasks known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<DRTask,DRTask.Record> getAllRecords(Connection c)
                                                   throws Types.BadServerResponse,
                                                          Types.XenAPIException,
                                                          org.apache.xmlrpc.XmlRpcException

  Return a map of DR_task references to DR_task records for all DR_tasks known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD